<template>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="card">

                    <div class="card-body">
                        <div class="card-title mb-4">
                            <div class="d-flex justify-content-start">
                                <div class="image-container">
                                    <img src="img/avatars/user_lg.png" id="imgProfile" style="width: 150px; height: 150px" class="img-thumbnail" />
                                    <!--<div class="middle">
                                        <input type="button" class="btn btn-secondary" id="btnChangePicture" value="Change" />
                                        <input type="file" style="display: none;" id="profilePicture" name="file" />
                                    </div>-->
                                </div>
                                <div class="userData ml-3">
                                    <h2 class="d-block" style="font-size: 1.5rem; font-weight: bold">{{this.user.surname}}  {{this.user.name}}</h2>
                                </div>
                                <div class="ml-auto">
                                    <input type="button" class="btn btn-primary d-none" id="btnDiscard" value="Discard Changes" />
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-12">
                                <ul class="nav nav-tabs mb-4" id="myTab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="basicInfo-tab" data-toggle="tab" href="#basicInfo" role="tab" aria-controls="basicInfo" aria-selected="true">Informations</a>
                                    </li>

                                </ul>
                                <div class="tab-content ml-1" id="myTabContent">
                                    <div class="tab-pane fade show active" id="basicInfo" role="tabpanel" aria-labelledby="basicInfo-tab">


                                        <div class="row">
                                            <div class="col-sm-3 col-md-2 col-5">
                                                <label style="font-weight:bold;">Nom</label>
                                            </div>
                                            <div class="col-md-8 col-6">
                                                {{this.user.surname}}
                                            </div>
                                        </div>
                                        <hr />

                                        <div class="row">
                                            <div class="col-sm-3 col-md-2 col-5">
                                                <label style="font-weight:bold;">Prenom</label>
                                            </div>
                                            <div class="col-md-8 col-6">
                                                {{this.user.name}}
                                            </div>
                                        </div>
                                        <hr />


                                        <div class="row">
                                            <div class="col-sm-3 col-md-2 col-5">
                                                <label style="font-weight:bold;">Email</label>
                                            </div>
                                            <div class="col-md-8 col-6">
                                                {{this.user.email}}
                                            </div>
                                        </div>
                                        <hr />
                                        <div class="row">
                                            <div class="col-sm-3 col-md-2 col-5">
                                                <label style="font-weight:bold;">Entreprise</label>
                                            </div>
                                            <div class="col-md-8 col-6">
                                                {{this.user.company}}
                                            </div>
                                        </div>
                                        <hr />
                                        <div class="row">
                                            <div class="col-sm-3 col-md-2 col-5">
                                                <label style="font-weight:bold;">Poste</label>
                                            </div>
                                            <div class="col-md-8 col-6">
                                                {{this.user.job}}
                                            </div>
                                        </div>
                                        <hr />
                                        <div class="row">
                                            <div class="col-sm-3 col-md-2 col-5">
                                                <label style="font-weight:bold;">Admin</label>
                                            </div>
                                            <div class="col-md-8 col-6">
                                                {{this.user.admin}}
                                            </div>
                                        </div>
                                        <hr />

                                    </div>
                                    <div class="tab-pane fade" id="connectedServices" role="tabpanel" aria-labelledby="ConnectedServices-tab">
                                        Facebook, Google, Twitter Account that are connected to this account
                                    </div>
                                    <CButton @click="modalEdit = true" color="dark">Modifier mon mot de passe</CButton>
                                </div>
                            </div>
                        </div>


                    </div>

                </div>
            </div>
        </div>

        <CModal
                :show.sync="modalEdit"
                :no-close-on-backdrop="true"
                :centered="true"
                title="Modal title 2"
                size="xl"
                color="dark"
        >
            <template #body-wrapper>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-sm-6">

                            <div class="form-group row" style="margin-top: 15px">
                                <label class="col-md-3 col-form-label" for="old">Ancien mot de passe</label>
                                <div class="col-md-9">
                            <input v-model="oldPassword" class="form-control" id="old" type="password"
                                    name="old" placeholder="Ancien mot de passe">
                        </div>
                            </div>

                            <div class="form-group row" style=" margin-top: 30px">
                                <label class="col-md-3 col-form-label" for="newpassword">Nouveau mot de passe</label>
                                <div class="col-md-9">
                                    <input v-model="newPassword" class="form-control" id="newpassword" type="password"
                                        name="newpassword" placeholder="Nouveau mot de passe">
                                </div>
                            </div>

                            <div class="form-group row" style=" margin-top: 30px">
                                <label class="col-md-3 col-form-label" for="confirm">Confirmer</label>
                                <div class="col-md-9">
                                    <input v-model="confirm" class="form-control" id="confirm" type="password"
                                        name="confirm" placeholder="Confirmer le mot de passe">
                                </div>
                            </div>

                        </div>

                    </div>
                </div>

            </template>

            <template #header>
                <h6 class="modal-title">Changer le mot de passe</h6>
                <CButtonClose @click="modalEdit = false" class="text-white"/>
            </template>
            <template #footer>
                <CButton @click="modalEdit = false" color="danger">Annuler</CButton>
                <CButton @click="changePassword()" color="success">Enregistrer</CButton>
            </template>
        </CModal>
    </div> 
</template>





<script>
    import VueJwtDecode from "vue-jwt-decode";

    export default {
        name: "Profile",
        data() {
            return {
                user: {
                    admin: null,
                    email: null,
                    company: null,
                    job: null,
                },
                modalEdit: false,
                oldPassword: '',
                newPassword:'',
                confirm:''
            }
        },
        methods: {
            getUserDetails() {
                let token = localStorage.getItem("jwt");
                let decoded = VueJwtDecode.decode(token);
                this.user.email = decoded.email;
                this.user.company = decoded.company;
                this.user.job = decoded.job;
                this.user.name = decoded.name;
                this.user.surname = decoded.surname;
                if (decoded.admin === true) {
                    this.user.admin = "Oui"
                } else {
                    this.user.admin = "Non"
                }
            },
             async changePassword(){
                var user = this.user
                user.password = this.oldPassword
                user.newpassword = this.newPassword,
                user.confirm_newpassword = this.confirm,
                
                await this.$http.post("/api/users/changePassword", user)
                    .then(response => {
                        if (response.status === 201) {
                            //this.salles = response.data
                            this.modal = false
                            swal("Succès", response.data.msg, "success");
                        }
                    })
            }, 
        },
       
        beforeMount(){
            this.getUserDetails();
        }
    }
</script>

<style scoped>

</style>